| GET | /RestApi/comments-api/comments/count |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class CommentsCountGetRequest
{
open var ThreadKey:ArrayList<String>? = null
open var Status:ArrayList<String>? = null
}
open class CollectionResponse<T>
{
open var TotalCount:Int? = null
open var Items:ArrayList<CommentResponse>? = null
}
open class CommentResponse
{
open var Key:String? = null
open var Name:String? = null
open var Message:String? = null
open var DateCreated:Date? = null
open var ProfilePictureUrl:String? = null
open var ProfilePictureThumbnailUrl:String? = null
open var Status:String? = null
open var Email:String? = null
open var ThreadKey:String? = null
open var AuthorIpAddress:String? = null
open var CustomData:String? = null
open var Rating:BigDecimal? = null
}
Kotlin CommentsCountGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/comments-api/comments/count HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"TotalCount":0}